# A generalization of PGError, and whatever MySQL and the other
# databases might eventually use.
class DatabaseError < StandardError
end


# Username is syntactically invalid.
class InvalidUserError < StandardError
end


# Used to indicate that an user does not exist.
class NonexistentUserError < StandardError
end


# Used to indicate that a domain does not exist.
class NonexistentDomainError < StandardError
end
